Package org.eclipse.emf.cdo.common.model

# Klasse EMFPredicates

java.lang.Object
org.eclipse.emf.cdo.common.model.EMFPredicates

public final class EMFPredicates extends Object
Predefined `predicates` to test for various `feature` types.

Seit:
  4.9
Autor:
  Eike Stepper

## Feldübersicht

Felder
Modifizierer und Typ
Feld
Beschreibung
`static final Predicate<EStructuralFeature>`
`ATTRIBUTES`
`static final Predicate<EStructuralFeature>`
`CONTAINER_REFERENCES`
`static final Predicate<EStructuralFeature>`
`CONTAINMENT_REFERENCES`
`static final Predicate<EStructuralFeature>`
`CROSS_REFERENCES`
`static final Predicate<EStructuralFeature>`
`REFERENCES`

## Methodenübersicht

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Felddetails

### ATTRIBUTES

public static final Predicate<EStructuralFeature> ATTRIBUTES

### REFERENCES

public static final Predicate<EStructuralFeature> REFERENCES

### CONTAINER_REFERENCES

public static final Predicate<EStructuralFeature> CONTAINER_REFERENCES

### CROSS_REFERENCES

public static final Predicate<EStructuralFeature> CROSS_REFERENCES

### CONTAINMENT_REFERENCES

public static final Predicate<EStructuralFeature> CONTAINMENT_REFERENCES